## org.apache.fop.fo
Class SpaceProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.SpaceProperty

public class SpaceProperty
extends Property

Inner Class Summary
`static class` `SpaceProperty.Maker`

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`SpaceProperty(Space space)`

Method Summary
`LengthRange` `getLengthRange()`
`java.lang.Object` `getObject()`
`Space` `getSpace()`

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getEnum, getKeep, getLength, getNCname, getNumber, getNumeric, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpaceProperty

    public SpaceProperty(Space space)

Method Detail

### getSpace

    public Space getSpace()

  Overrides:
    getSpace in class Property

### getLengthRange

    public LengthRange getLengthRange()

  Overrides:
    getLengthRange in class Property

### getObject

    public java.lang.Object getObject()

  Overrides:
    getObject in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.